package lightcontainer.protocol.rules.reader;

import lightcontainer.domains.client.Context;
import lightcontainer.protocol.ProtocolReader;

/**
 * Règle demandant la déconnexion du client
 */
public class SignoutRule extends ProtocolReader {

    private static final String PATTERN = "^SIGNOUT\r\n$";

    public static final String NAME = "SIGNOUT";

    public SignoutRule() {
        super(NAME, PATTERN);
    }

    public class Result extends ProtocolResult {
        public Result(Context context) {
            super(context);
        }
    }

    @Override
    protected <T extends ProtocolResult> T onExecuted(Context context, String... data) {
        return null;
    }

}
